summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuillaume Knispel <gknispel@avencall.com>2012-11-20 17:51:21 +0100
committerGuillaume Knispel <gknispel@avencall.com>2012-11-20 17:51:21 +0100
commit0d2c747c21af2a4f9a310cae73644dec3aea770e (patch)
treeb50397ef4aa172033f7cf28532bdc11d0e01d40a
parent42fcdf4cbaeeacfd7f7760ccccf5b42009745890 (diff)
don't start when stopping
-rwxr-xr-xetc/init.d/xioh24
1 files changed, 16 insertions, 8 deletions
diff --git a/etc/init.d/xioh b/etc/init.d/xioh
index 7ca4f7e..1558078 100755
--- a/etc/init.d/xioh
+++ b/etc/init.d/xioh
@@ -10,11 +10,19 @@
### END INIT INFO
#
-modprobe -f xivovp
-modprobe -f xivoxhfc
-dahdi_cfg -vvv
-
-modprobe gcu
-modprobe e1000
-
-exit 0
+case "$1" in
+ start)
+ modprobe -f xivovp
+ modprobe -f xivoxhfc
+ dahdi_cfg -vvv
+ modprobe gcu
+ modprobe e1000
+ ;;
+ stop)
+ ;;
+ *)
+ N=/etc/init.d/${0##*/}
+ echo "Usage: $N {start|stop}" >&2
+ exit 1
+ ;;
+esac